Android Studio 出现“Cannot resolve symbol” 解决办法

·  阅读 696

(一)

Android Studio 无法识别同一个 package 里的其他类,将其显示为红色,但是 compile 没有问题。鼠标放上去后显示 “Cannot resolve symbol XXX”,重启 Android Studio,重新 sync gradleClean build 都没有用。
多半是因为 Android Studio 之前发生了错误,某些 setting 出了问题。解决方法如下:
点击菜单中的 “File” -> “Invalidate Caches / Restart”,然后点击对话框中的 “Invalidate and Restart”,清空 cache 并且重启。语法就会正确的高亮了。

(二)

因要用到,所以最近学了点Android开发,用的编译器是亲儿子,也是新生儿 Android Studio。

今天在调试的时候,Android Studio 报了一个莫名其妙的错误Cannot resolve symbol ‘R’让人不知所措。因为这东西根本不归我管啊,怎么会出现 Cannot resolve symbol 这种错误呢?

谷歌了一下,找到解决方法如下:

Build -> Clean Project
Tools -> Android -> Sync Project With Gradle Files

不行就多试几次!就好了!


真正解决方案:Cannot resolve symbol 'xxx' (Android Studio 3.1.4)

最近更新了Android Studio 到最新版本3.1.4,但是却出现了一个问题,

    Cannot resolve symbol ‘Theme’ in styles.xml (Android Studio)
    Failed to load AppCompat ActionBar with unknown error.
    Cannot resolve symbol ‘OkhttpUtils’
    …

有时候会出现类似theme主题找不到,甚至AppCompatActivity 这个类也找不到,

更严重有时候引入的所有Github 上的类库都找不到了,都快要吐血崩溃了。

好在经过 一番苦战,终于摸清楚了脾气,找到了终极解决方案。
终极解决方案:

1.哪个Jar包有问题就把该配置注释掉,比如下面这个:

dependencies { 
    //implementation 'com.android.support:appcompat-v7:28.0.0-alpha3'
    //implementation 'com.android.support:design:28.0.0-alpha3'
    //implementation 'com.android.support:support-v4:28.0.0-alpha3'
    //implementation 'com.android.support:recyclerview-v7:28.0.0-alpha3'
}

2.点击Sync Now
这里写图片描述
3.然后解开注释

dependencies { 
    implementation 'com.android.support:appcompat-v7:28.0.0-alpha3'
    implementation 'com.android.support:design:28.0.0-alpha3'
    implementation 'com.android.support:support-v4:28.0.0-alpha3'
   implementation 'com.android.support:recyclerview-v7:28.0.0-alpha3'
}

4.再点击Sync Now
5.问题解决.世界安好


其他解决方案一:

这里写图片描述

这里写图片描述

其他解决方案二:

在这里插入图片描述
这里写图片描述
其他解决方案三:

这里写图片描述
解决方案,修改版本

 implementation 'com.android.support:appcompat-v7:28.0.0-alpha3'

 implementation 'com.android.support:appcompat-v7:28.0.0-alpha1'

完整修改build.gradle内容如下:

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation 'com.android.support:appcompat-v7:28.0.0-alpha1'
    implementation 'com.android.support.constraint:constraint-layout:1.0.2'
    implementation 'com.android.support:design:28.0.0-alpha1'
    implementation 'com.android.support:support-v4:28.0.0-alpha1'
    implementation 'com.android.support:recyclerview-v7:28.0.0-alpha1'
    testImplementation 'junit:junit:4.12'
    androidTestImplementation 'com.android.support.test:runner:1.0.2'
    androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.2'
}`在这里插入代码片`

参考地址:After Updating Android studio to 3.1.2 , I get “Failed to load AppCompat ActionBar with unknown error. ”

其他解决方案四:

也有可能是jar包因为网络原因没下载更新好。。。
删除这个文件夹下的所有jar,或者找到没识别的jar删除再重新下载/Users/(用户名)/.gradle/

// Top-level build file where you can add configuration options common to all sub-projects/modules.

buildscript {

    repositories {
        google()
        jcenter()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:3.1.4'
        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}

allprojects {
    repositories {
        google()
        jcenter()
        maven { url 'https://jitpack.io' }
    }
}

其他解决方案五:

1.哪个Jar包有问题就把该配置注释掉,比如下面这个:

dependencies { 
    //implementation 'com.android.support:appcompat-v7:28.0.0-alpha3'
    //implementation 'com.android.support:design:28.0.0-alpha3'
    //implementation 'com.android.support:support-v4:28.0.0-alpha3'
    //implementation 'com.android.support:recyclerview-v7:28.0.0-alpha3'
}

2.点击Sync Now

3.然后解开注释

4.再点击Sync Now
5.问题解决.世界安好

本文转自 blog.csdn.net/Sinkmaple/a…,如有侵权,请联系删除。

分类:
Android
标签:
分类:
Android
标签:
收藏成功!
已添加到「」, 点击更改